#pragma once
#include <string>
#include <list>
#include "PPage.h"
#include "setting_struct.h"

class CDefaultsPage :
	public CPPage
{
private:
	typedef std::vector<std::string> StringList;

	struct EnumInfo
	{
		StringList *pfonts;
	};

private:
	CToolTip m_tip;
	bool m_bFontInited;
	StringList m_fontnames;
	DefaultSettings *m_pset;

public:
	CDefaultsPage(DefaultSettings &set);
	~CDefaultsPage(void);

private:
	void InitFont();
	void OnRef();
	static int CALLBACK EnumFont(ENUMLOGFONTEX *pelfex,
		NEWTEXTMETRICEX *pntmex, DWORD fontType, LPARAM lParam);

// I[o[Ch
private:
	BOOL DlgProc(UINT uMsg, WPARAM wParam, LPARAM lParam);
	BOOL InitDlgCtrl();
	void GetDlgCtrlValue();
};
