#pragma once
#pragma warning( disable: 4702 )
	#include <vector>
#pragma warning( default: 4702 )
#include <string>
#include "PPage.h"
#include "setting_struct.h"

class CMultiPage :
	public CPPage
{
private:
	typedef std::vector<std::string> IndexMap;
	enum{
		COL_ACCOUNT,
		COL_ACCOUNTS,
	};

private:
	const AccountList * const m_plist;
	AccountMap *m_pmap;
	IndexMap m_i2acc;

public:
	CMultiPage(const AccountList &list, AccountMap &map);
	const CMultiPage& operator =(const CMultiPage&)
	{ _ASSERT(FALSE); }
	~CMultiPage(void);

// ̑
private:
	void OnClickAdd();
	void OnClickDelete();
	void OnClickModify()
	{ OpenSettingDialog(); }
	void OnListDblClick()
	{ OpenSettingDialog(); }

	void OpenSettingDialog();
	void UpdateList();
	void MakeAccListStr(const AccNoList &list, std::string &out) const;

// I[o[Ch
private:
	BOOL DlgProc(UINT uMsg, WPARAM wParam, LPARAM lParam);
	BOOL InitDlgCtrl();
	void UpdateDlgCtrl();
};
