#pragma once
#pragma warning( disable: 4702 )
	#include <map>
#pragma warning( default: 4702 )
#include "dlg.h"
#include "setting_struct.h"

class CMultiSetDlg :
	public CDlg
{
private:
	typedef std::map<int, int> AccNoMap;
	enum{
		COL_ACCOUNT,
	};

private:
	const LPCSTR m_acc;
	const AccountList * const m_plist;
	AccNoList m_noList;

public:
	CMultiSetDlg(LPCSTR acc, const AccountList &list, AccNoList &noList);
	const CMultiSetDlg& operator =(const CMultiSetDlg& /*other*/)
	{ _ASSERT(FALSE); }
	~CMultiSetDlg(void);

	void GetAccNoList(AccNoList &accs) const
	{ accs = m_noList; }

private:
	void OnListClick();
	void UpdateList() const;

// I[o[Ch
private:
	BOOL DlgProc(UINT uMsg, WPARAM wParam, LPARAM lParam);
	BOOL InitDlgCtrl();
	BOOL GetDlgCtrlValue();
};
