#pragma once
#include <string>

void Decode(std::string &in, std::string &out);

bool IsWSP(LPCSTR st, LPCSTR ed);
LPSTR Unquote(LPSTR out, LPCSTR in_st, LPCSTR in_ed);
LPSTR DecodeMime(LPSTR out, LPCSTR in_st, LPCSTR in_ed);
LPSTR DecodeQuoted(LPSTR out, LPCSTR in_st, LPCSTR in_ed);
LPSTR DecodeBase64(LPSTR out, LPCSTR in_st, LPCSTR in_ed);
LPSTR EncodeBase64(LPCSTR in, LPSTR out, int len);

LPSTR DecodeURL(LPSTR out, LPCSTR in_st, LPCSTR in_ed);

inline char DecodeQHexToBin(char c);
inline char DecodeBase64AtoB(char c);
inline char EncodeBase64BtoA(unsigned char b);
