#pragma once
#pragma warning( disable: 4702 )
	#include <map>
#pragma warning( default: 4702 )
#include <string>
#include <functional>
#include "gid.h"
#include "MailInfo.h"

struct spless : public std::binary_function<std::string*, std::string*, std::string*> {
	bool operator ()(const LPCSTR &x, const LPCSTR &y) const
	{ return strcmp(x, y) < 0; }
};

enum MailStatus
{
	RM_NOT_SET,
	RM_PREVIEWED,
	RM_NORMAL,
	RM_RECENT,
	RM_NEW,
	NUM_OF_NUM,
};

typedef std::map<const LPCSTR, CMailInfo*, spless> MailMap;
typedef std::map<std::string, unsigned long> MailIDMap;
typedef std::map<unsigned long, CMailInfo*> NumberMap;

typedef std::vector<CGID> GIDList;
typedef std::vector<CMailInfo*> MailList;
