#pragma once
#pragma warning( disable: 4702 )
	#include <map>
	#include <vector>
#pragma warning( default: 4702 )
#include "gid.h"
#include "RiffConnection.h"

//************************************************************

typedef std::vector<CRiffConnection*> ConList;
typedef std::map<HNsmConnection, u_int> ConMap;

//************************************************************

class CConList
{
private:
// CRiffConnectionւ̃|C^̔z
// nԖڂ̗vfGID̃RlNVԍn
// z͂g傷ƏkȂ
// gp̈NULLł
	ConList m_cons;

//	RlNVnhGID̃RlNVԍւ̃}bv
//	݂RlNV̂ݓo^ĂB
	ConMap m_cmap;

/*
public:
	CConList(void);
	~CConList(void);
*/
public:
	CRiffConnection* operator[](HNsmConnection hCon)
	{
		ConMap::iterator i = m_cmap.find(hCon);
		return (i != m_cmap.end()) ? m_cons[i->second]: NULL;
	}
	CRiffConnection* operator[](UINT gid)
	{
		return m_cons[((CGID)gid).conn_id()];
	}
	HNsmConnection Create(PLoginInfo pli)
	{
		HNsmConnection hCon;
		u_int no;
		CRiffConnection *prc;

		for( no = 0; no < m_cons.size(); no++ )
			if( m_cons[no] == NULL ) break;
		_ASSERT( no <= 0xFF );

		prc = new CRiffConnection(no, pli);
		if( no >= m_cons.size() ){
			m_cons.push_back(prc);
		}else{
			m_cons[no] = prc;
		}
		hCon = prc->GetConnection();
		m_cmap[hCon] = no;
		return hCon;
	}
	void Delete(HNsmConnection hCon)
	{
		ConMap::iterator i;
		u_int no;
		
		i = m_cmap.find(hCon);
		if( i == m_cmap.end() ) return;

		no = i->second;
		m_cmap.erase(i);

//		_ASSERT( m_cons[no] != NULL );
//		m_cons[no]->Delete();
		delete m_cons[no];
		m_cons[no] = NULL;
	}
	void DeleteAll()
	{
		ConList::iterator i;
		for( i = m_cons.begin(); i != m_cons.end(); i++ ){
//			if( *i != NULL ) (*i)->Delete();
			delete *i;
		}
//		CRiffConnection::Cleanup();
	}
	void ConfiguUpdated()
	{
		ConList::iterator i;
		for( i = m_cons.begin(); i != m_cons.end(); i++ ){
			if( *i != NULL ) (*i)->ConfigChanged(-1);
		}
	}
};
