#include "StdAfx.h"
#include ".\defsettingdlg.h"
#include "resource.h"
#include "RiffSettings.h"
#include "RiffNsm.h"

//******************************************************************
// 
//******************************************************************

CDefSettingDlg::CDefSettingDlg(void)
{
	m_nIDTemplate = IDD_DEFAULT;
}

CDefSettingDlg::~CDefSettingDlg(void)
{
}

//******************************************************************
// 
//******************************************************************

BOOL CDefSettingDlg::InitDlgCtrl()
{
	DefaultSettings set;
	RIFF_SETTINGS.GetDefaultSettings(set);

	SetItemText(IDC_INTERVAL, set.interval);
	SetItemText(IDC_NOTIFYTERM, set.notify_term);
	SetCheck(IDC_EACH, set.notify_each);
	SetItemText(IDC_MAXMAIL, set.max_mail);
	SetItemText(IDC_MAILTERM, set.show_term/(60*60));
	SetItemText(IDC_PRVW, set.preview_linenum);

	return TRUE;
}

void CDefSettingDlg::GetDlgCtrlValue()
{
	DefaultSettings set;

	set.interval = GetEditBoxInt(IDC_INTERVAL);
	set.notify_term = GetEditBoxInt(IDC_NOTIFYTERM);
	set.notify_each = GetCheck(IDC_EACH);
	set.max_mail = GetEditBoxInt(IDC_MAXMAIL);
	set.show_term = GetEditBoxInt(IDC_MAILTERM) * 60 * 60;
	set.preview_linenum = GetEditBoxInt(IDC_PRVW);

	RIFF_SETTINGS.SetDefaultSettings(set);
	CRiffNsm::NotifyConfigUpdated(CRiffNsm::ALL_CONNECTIONS);
}

//******************************************************************
// 
//******************************************************************

