#pragma once
#include <string>
#include "resource.h"
#include "dlg.h"
#include "general_strings.h"

class CNewDlg :
	public CDlg
{
private:
	std::string m_acc;

public:
	CNewDlg()
		: CDlg(IDD_NEW)
	{}
	~CNewDlg(void){};

	LPCSTR GetAccountName()
	{ return m_acc.c_str(); }

// I[o[Ch
private:
	BOOL DlgProc(UINT uMsg, WPARAM wParam, LPARAM lParam)
	{
		if( (uMsg == WM_COMMAND)
			&& (wParam == MAKEWPARAM(IDC_ACCNAME, EN_CHANGE)) )
		{
			SetEnable(IDOK, ::GetWindowTextLength((HWND)lParam) != 0);
			return TRUE;
		}
		return FALSE;
	}
	BOOL InitDlgCtrl()
	{
		SetItemText(IDC_ACCNAME, m_acc.c_str());
		return TRUE;
	}
	BOOL GetDlgCtrlValue()
	{
		GetItemText(IDC_ACCNAME, m_acc);
		return m_acc != NULL_STRING;
	}
};
