#pragma once
#include "PPage.h"
#include "setting_struct.h"

class CSinglePage :
	public CPPage
{
private:
	enum{
		COL_ACCOUNT,
		COL_URL,
	};

private:
	AccountList *m_plist;
	AccountMap *m_pmap;
	const DefaultSettings * const m_pdef;
	int m_nextAccNo;

public:
	CSinglePage(AccountList &list, AccountMap &map, const DefaultSettings &def);
	const CSinglePage& operator =(const CSinglePage&)
	{ _ASSERT(FALSE); }
	~CSinglePage(void);

// ̑
private:
	void OnClickAdd();
	void OnClickDelete();
	void OnClickModify()
	{ OpenSettingDialog(); }
	void OnListDblClick()
	{ OpenSettingDialog(); }
	void OpenSettingDialog();
	void UpdateList() const;
	void FormatUrl(const FullSettings &set, std::string &url) const;
	int GetListItemData(HWND hList, int nItem);

// I[o[Ch
private:
	BOOL DlgProc(UINT uMsg, WPARAM wParam, LPARAM lParam);
	BOOL InitDlgCtrl();
};
