// [eLXg֘A

#include "stdafx.h"
#include "mail.h"
#include "codec.h"
#include "general_strings.h"
#include "DynamicArray.h"
#include "mleak.h"

//******************************************************************
// 
//******************************************************************

// wb_̃TCY擾
int GetHeaderLength(LPCSTR in_mail)
{
	LPCSTR pos = strstr(in_mail, "\r\n\r\n");
	return (pos != NULL) ?
		pos - in_mail + LEN_OF(CRLF_STRING):
		strlen(in_mail);
}


void ExtractHeaderField(LPCSTR in_header, LPCSTR in_fname, std::string &out_item)
{
	LPCSTR st;

	out_item = NULL_STRING;

	{
		LPCSTR nxt_st;
		int name_len;

		// wb_ΏۃtB[hT
		name_len = strlen(in_fname);
		st = in_header;
		while( _strnicmp(st, in_fname, name_len) != 0 ){
			nxt_st = strstr(st, CRLF_STRING);
			if( (nxt_st == st) || (nxt_st == NULL) ) return;
			st = nxt_st + 2;
		}
		st += name_len;
	}

	// l̓̋󔒂΂
	while( IsWSP(*st) ){
		if( *st == '\n' ){
			if( ! IsWSP(*(st+1)) ) return;
		}
		st++;
	}

	CutOutFieldValue(st, out_item);
}

void CutOutFieldValue(LPCSTR in_str, std::string &out)
{
	LPCSTR ed;

	// l荞
	do{
		ed = strstr(in_str, CRLF_STRING);
		if( in_str == ed ){
			break;
		}else if( ed == NULL ){
			out += in_str;
			break;
		}else{
			out.append(in_str, ed - in_str);
			in_str = ed + 2;
		}
	}while( IsWSP(*in_str) );
}

// wb_tB[hlƔri召Ȃj
int FieldCmp(const std::string &in_fvalue, LPCSTR in_target)
{
	return _strnicmp(in_fvalue.c_str(), in_target, strlen(in_target));
}

// wb_tB[hăCfbNXԂ
// in_target  ݂̂łȂ΂ȂȂ
int FieldSearch(const std::string &in_fvalue, LPCSTR in_target)
{
	const int bufSize = in_fvalue.length()+1;
	DynamicArray<char> buf(bufSize);
	strcpy_s(buf, bufSize, in_fvalue.c_str());
	_strlwr_s(buf, bufSize);
	LPCSTR pos = strstr(buf, in_target);
	return (pos == NULL) ? -1: pos - buf;
}
